Skip to content

List messages

GET
/inbox/messages/{id}
curl --request GET \
--url https://postflow.biz.id/api/v1/inbox/messages/example \
--header 'Authorization: Bearer <token>'

The latest 100 messages, oldest first.

MCP tool: get_conversation.

id
required
string

Conversation id

OK

Media typeapplication/json
Array<object>
object
id
required
string
fromMe
required
boolean
text
required
string
attachments
required
Array<object>
object
type
required
string
url
required
Any of:
string
sentAt
required
string format: date-time

Example generated

[
{
"id": "example",
"fromMe": true,
"text": "example",
"attachments": [
{
"type": "example",
"url": "example"
}
],
"sentAt": "2026-04-15T12:00:00Z"
}
]

Missing, invalid, expired or deleted key or token.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: UNAUTHENTICATED FORBIDDEN NOT_FOUND VALIDATION CONFLICT SUBSCRIPTION_GRACE SUBSCRIPTION_EXPIRED PLAN_LIMIT RATE_LIMITED INTERNAL
message
required

A sentence you can show to a person.

string
details

Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.

Example

{
"error": {
"code": "UNAUTHENTICATED"
}
}

Not found in this workspace.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: UNAUTHENTICATED FORBIDDEN NOT_FOUND VALIDATION CONFLICT SUBSCRIPTION_GRACE SUBSCRIPTION_EXPIRED PLAN_LIMIT RATE_LIMITED INTERNAL
message
required

A sentence you can show to a person.

string
details

Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.

Example

{
"error": {
"code": "UNAUTHENTICATED"
}
}

More than 120 requests in a minute with this key.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: UNAUTHENTICATED FORBIDDEN NOT_FOUND VALIDATION CONFLICT SUBSCRIPTION_GRACE SUBSCRIPTION_EXPIRED PLAN_LIMIT RATE_LIMITED INTERNAL
message
required

A sentence you can show to a person.

string
details

Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.

Example

{
"error": {
"code": "UNAUTHENTICATED"
}
}